@charset "utf-8";

/* フローティングバナー
------------------------------------------------------------- */
.pre-floating-banner {
  position: fixed;
  right: 25px;
  bottom: 25px;
  z-index: 99;
  display: none;
}
.pre-floating-banner .floating-banner-a {
  position: relative;
  display: block;
  max-width: 250px;
  height: 250px;
  padding: 0;
  overflow: visible;
  line-height: 0;
  border-radius: 6px;
}
.pre-floating-banner .floating-banner-a img {
  width: 100%;
  height: auto;
  filter: drop-shadow(0 0 4px #d5e5da);
  transition: opacity 0.3s;
}
.pre-floating-banner .floating-banner-a:hover img {
  opacity: 0.7;
}

/* 閉じるボタン */
.pre-floating-banner #pre-floating-banner-close {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}
.pre-floating-banner #pre-floating-banner-close span {
  position: relative;
  width: 30px;
  height: 30px;
  background: #666666;
  border-radius: 100%;
}
.pre-floating-banner #pre-floating-banner-close span::after,
.pre-floating-banner #pre-floating-banner-close span::before {
  position: absolute;
  top: 50%;
  right: 0;
  left: 0;
  display: block;
  width: 11px;
  margin: auto;
  text-align: center;
  content: "";
  border-top: 2px solid #ffffff;
}
.pre-floating-banner #pre-floating-banner-close span::after {
  transform: skewY(45deg);
}
.pre-floating-banner #pre-floating-banner-close span::before {
  transform: skewY(-45deg);
}

/* tab/m */
@media screen and (width <= 940px) {
  .pre-floating-banner {
    display: none !important;
  }
}
